
from sqlalchemy.ext.asyncio import AsyncSession
from typing import List, Optional
from app.schemas.image import ImageBase
from app.dao.imageDao import ImageDao


class ImageService:
    
    @classmethod 
    async def get_image_list(cls, db: AsyncSession, query_model: ImageBase):
        
        result = await ImageDao.get_image_list(db, query_model)
        
        return result